Subject: Re: bug#61748: 27.2; Eglot should use shell-file-name when launching the language server for a remote file

From: Michael Albinus <[email-masked]>
Date: Tue, 28 Feb 2023 14:05:40 +0100

João Távora <[email-masked]> writes:

Hi João,

>>> Surely we can fix this in Tramp, so that it either considers this
>>> variable's value just-in-time, or detects if there were changes to it
>>> and reacts accordingly.  Can we not?
>>
>> Patches welcome.
>
> Great.  I'd love to help, but I'm not familiar with how Tramp uses this
> variable to "know" or set a remote path so that e.g. executable-find
> finds it.
>
> Do you think it requires re-starting the Tramp connection for that file?
> Or can we just tell the current connection: "hey, refresh your remote
> PATH, because the variable has changed?"

Anything goes. But I don't see why this is needed. A proper Tramp
configuration in time is all what you need. People are familiar with
this for decades.

> João

Best regards, Michael.